# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-01-23 01:52
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Bid',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('points_bid', models.IntegerField(default=False)),
                ('points_made', models.IntegerField()),
                ('hand_number', models.IntegerField(default='0')),
            ],
        ),
        migrations.CreateModel(
            name='Game',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('played_date', models.DateTimeField(verbose_name='date played')),
                ('entered_date', models.DateTimeField(verbose_name='date entered')),
            ],
            options={
                'ordering': ('played_date', 'entered_date'),
            },
        ),
        migrations.CreateModel(
            name='Player',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('player_id', models.IntegerField(unique=True)),
                ('first_name', models.CharField(max_length=20)),
                ('last_name', models.CharField(max_length=20)),
            ],
            options={
                'ordering': ('first_name', 'last_name'),
            },
        ),
        migrations.CreateModel(
            name='PlayerGameSummary',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('score', models.IntegerField()),
                ('made_bid', models.BooleanField()),
                ('rank', models.IntegerField(default='7')),
                ('rating', models.IntegerField(default='0')),
                ('rating_change', models.IntegerField(default='0')),
                ('game', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='scores', to='rookscore.Game')),
                ('player', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='rookscore.Player')),
            ],
            options={
                'ordering': ('rank', 'player'),
            },
        ),
        migrations.AddField(
            model_name='bid',
            name='caller',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='caller', to='rookscore.Player'),
        ),
        migrations.AddField(
            model_name='bid',
            name='game',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bids', to='rookscore.Game'),
        ),
        migrations.AddField(
            model_name='bid',
            name='opponents',
            field=models.ManyToManyField(related_name='opponents', to='rookscore.Player'),
        ),
        migrations.AddField(
            model_name='bid',
            name='partners',
            field=models.ManyToManyField(related_name='partners', to='rookscore.Player'),
        ),
    ]
